Subject: bug#2412 closed by Daiki Ueno <[email-masked]> (Re: bug#2412: spurious "Sign failed" errors)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 03 May 2009 22:45:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2412: spurious "Sign failed" errors

It has been closed by Daiki Ueno <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Daiki Ueno <[email-masked]> by
replying to this email.

-- 
2412: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2412
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2412: spurious "Sign failed" errors
From: Daiki Ueno <[email-masked]>
To: Sven Joachim <[email-masked]>
Cc: [email-masked], Chong Yidong <[email-masked]>
Date: Mon, 04 May 2009 07:36:48 +0900

Sven Joachim <[email-masked]> writes:

>> -    (accept-process-output (epg-context-process context) 1)))
>> +    (accept-process-output (epg-context-process context) 1))
>> +  (sleep-for 0.1))
>
> That seems to do the trick.  At least, I had no problem in ~15 attempts
> to preview/send signed messages, whereas without your patch the "Sign
> failed" error would happen about every second time.

Thanks for testing.  I've checked in the patch.

Regards,
-- 
Daiki Ueno

Subject: spurious "Sign failed" errors
From: Sven Joachim <[email-masked]>
To: undisclosed-recipients:;
Date: Fri, 20 Feb 2009 19:03:44 +0100 (MET)

Gnus v5.13
GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-11-30 on turtle, modified by Debian
200 news.motzarella.org InterNetNews NNRP server INN 2.4.5 ready (posting ok).

I'm experiencing painful, but not always reproducible problems with
sending or previewing signed mails.  Often I get an error "Sign failed"
and a backtrace like this:

,----
| Debugger entered--Lisp error: (error "Sign failed")
|   signal(error ("Sign failed"))
|   byte-code("<snipped>" [mml2015-epg-secret-key-id-list error password-cache-remove signal] 4)
|   mml2015-epg-sign((part (sign . "pgpmime") (tag-location . 186) (contents . "Nur ein Test.\n")))
|   mml2015-sign((part (sign . "pgpmime") (tag-location . 186) (contents . "Nur ein Test.\n")))
|   mml-pgpmime-sign-buffer((part (sign . "pgpmime") (tag-location . 186) (contents . "Nur ein Test.\n")))
|   mml-generate-mime-1((part (sign . "pgpmime") (tag-location . 186) (contents . "Nur ein Test.\n")))
|   mml-generate-mime()
|   message-encode-message-body()
|   mml-to-mime()
|   mml-preview(nil)
|   call-interactively(mml-preview nil nil)
`----

If this happens during sending, the message actually is signed and sent,
but no copy lands in my archive folder. :-(

I'm using gpg-agent with pinentry-gtk2 for the passphrase.